##
##  consul.hcl -- Consul Server Configuration
##

datacenter              = "dc1"
node_name               = "node1"

client_addr             = "127.0.0.1"
bind_addr               = "127.0.0.1"
advertise_addr          = "127.0.0.1"

server                  = true
bootstrap_expect        = 1
start_join              = [ "127.0.0.1" ]
leave_on_terminate      = true
rejoin_after_leave      = true
raft_protocol           = 3

encrypt                 = "@key@"
encrypt_verify_incoming = true
encrypt_verify_outgoing = true

ports = {
    server              = 8300
    serf_lan            = 8301
    serf_wan            = 8302
    http                = 8500
    dns                 = 8600
}

domain                  = "consul."
log_level               = "INFO"

ui                      = true
disable_update_check    = true
enable_script_checks    = true

acl_datacenter          = "dc1"
acl_master_token        = "@token@"
acl_default_policy      = "allow"
acl_down_policy         = "extend-cache"

